package com.hzya.frame.sysnew.comparison.controlsLog.entity;

import com.hzya.frame.web.entity.BaseEntity;

/**
 *
 * @content 操作日志实体类
 * @Param
 * @Return
 * @Author hecan
 * @Date 2024/6/5 11:58
 * **/
public class ControlsLogEntity extends BaseEntity {
    private String formmainId;//主表id
    private String sourceName;//来源名称
    private String code;//编码
    private String sourceData;//源数据
    private String optionType;//操作类型
    private String optionName;//操作人

    private String dbName;//表名称

    private String dataType;//状态 1、成功2、失败
    private String remark;//备注

    public String getDataType() {
        return dataType;
    }

    public void setDataType(String dataType) {
        this.dataType = dataType;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getDbName() {
        return dbName;
    }

    public void setDbName(String dbName) {
        this.dbName = dbName;
    }

    public String getFormmainId() {
        return formmainId;
    }

    public void setFormmainId(String formmainId) {
        this.formmainId = formmainId;
    }

    public String getSourceName() {
        return sourceName;
    }

    public void setSourceName(String sourceName) {
        this.sourceName = sourceName;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getSourceData() {
        return sourceData;
    }

    public void setSourceData(String sourceData) {
        this.sourceData = sourceData;
    }

    public String getOptionType() {
        return optionType;
    }

    public void setOptionType(String optionType) {
        this.optionType = optionType;
    }

    public String getOptionName() {
        return optionName;
    }

    public void setOptionName(String optionName) {
        this.optionName = optionName;
    }
}
